#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Oct 21 12:14:41 2022

@author: sadievrenseker
"""

from sklearn.datasets import load_iris
X = load_iris().data
y = load_iris().target


import pandas as pd
from sklearn.metrics import confusion_matrix
from sklearn.metrics import accuracy_score

from sklearn.tree import DecisionTreeClassifier
dtc = DecisionTreeClassifier(criterion='entropy', max_depth = 2)




dtc.fit(X,y)
ypred = dtc.predict(X)

print('DTC Confusion Matrix')
cm = confusion_matrix(y,ypred)
print(cm)

acc = accuracy_score(y,ypred)
print(acc)
from sklearn import tree
tree.plot_tree(dtc)


from sklearn.neighbors import KNeighborsClassifier
knn= KNeighborsClassifier(n_neighbors = 3, p = 1)
knn.fit(X,y)
ypred2 = knn.predict(X)

print('KNN Confusion Matrix')
cm = confusion_matrix(y,ypred2)
print(cm)
acc = accuracy_score(y,ypred2)
print(acc)

from sklearn.svm import SVC
svc =SVC(kernel = 'linear')
svc.fit(X,y)
ypred3 = svc.predict(X)

print('SVM Confusion Matrix')
cm = confusion_matrix(y,ypred3)
print(cm)
acc = accuracy_score(y,ypred3)
print(acc)

from sklearn.naive_bayes import GaussianNB
nb = GaussianNB()
nb.fit(X,y)
ypred4 = nb.predict(X)
print('Naive Bayes Confusion Matrix')
cm = confusion_matrix(y,ypred4)
print(cm)
acc = accuracy_score(y,ypred4)
print(acc)

